# Make alternate email primary

Makes the specified alternate email address to become the primary email
address for the specified user.

> Who can use this operation?
> 
> - Plans: Only Enterprise and Advanced Work Management plans with this feature activated by Support can use this method. If you want to activate this feature, please contact Support.
> - Permissions: System Admin

The alternate email address can only be made primary if both conditions are
met:

- The primary email address domain is validated
- The alternate email address is confirmed or the alternate email address domain is validated

Endpoint: POST /users/{userId}/alternateemails/{alternateEmailId}/makeprimary
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Path parameters:

  - `userId` (number, required)
    ID of the user being accessed.

  - `alternateEmailId` (number, required)
    ID of the alternate email being accessed.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `data` (array)
    list of alternate email results

  - `data.id` (number)
    AlternateEmail ID.
    Example: 8150532427671428

  - `data.confirmed` (boolean)
    Indicates whether the alternate email address has been confirmed.
    Example: true

  - `data.email` (string)
    User's alternate email address.
    Example: "johnathan.doe@smartsheet.com"

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


## Response 403 fields
